using System.Collections.ObjectModel;
using System.Text.Json;

namespace View_by_Distance.Shared.Models;

public record GenealogicalDataCommunicationCollections(string[] HeaderLines,
                                                       ReadOnlyDictionary<string, string[]> Individuals,
                                                       List<string[]> FamilyGroupLines,
                                                       ReadOnlyDictionary<string, string> IdToNick,
                                                       string[] FooterLines)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}